# Uses of Class
org.eclipse.ui.progress.UIJob

Packages that use UIJob
Package
Description
org.eclipse.ui.progress
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of UIJob in org.eclipse.ui.progress

Subclasses of UIJob in org.eclipse.ui.progress
Modifier and Type
Class
Description
`class`
`WorkbenchJob`
WorkbenchJob is a type of job that implements a done listener and does the shutdown checks before scheduling.
Methods in org.eclipse.ui.progress that return UIJob
Modifier and Type
Method
Description
`static UIJob`
UIJob.`create(String name, ICoreRunnable runnable)`
Creates a new UIJob that will execute the provided runnable in the UI thread when it runs.
`static UIJob`
UIJob.`create(String name, IJobFunction function)`
Creates a new UIJob that will execute the provided function in the UI thread when it runs.